/**
 *  IV Renderer version 1
 */

#ifndef  IVR_INCLUDED
#define  IVR_INCLUDED

#include <windows.h>
#include <objidl.h>
#include <ocidl.h>

/* IV calls only IPicture::Render(hDC, x, y, cx, cy, 0, 0, 0, 0, NULL) */
#include <pshpack4.h>
typedef struct IVR1
{
	OUT LPCWSTR  *Patterns; /* { L"*.txt", ..., NULL } */
	OUT HRESULT (*GetPicture)(IStream *, IPicture **);
} IVR1;
#include <poppack.h>

#ifndef _M_X64
#define IVR_API EXTERN_C __declspec(dllexport)
#else
#define IVR_API EXTERN_C
#endif

/* IVR_API BOOL WINAPI GetIVR1(IVR1 *); */

typedef BOOL (WINAPI *GETIVR1)(IVR1 *);

#endif /*IVR_INCLUDED*/
